For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of audit records
      • GETGet an invoice by resource ID
  • Transaction API
  • Event API
LoginSandbox
Identity APIAudit Records

Get a list of audit records

GET
/v:version/audit-records
GET
/v:version/audit-records
$curl https://test.api.solvimon.com/v1/audit-records \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "user_id": "string",
7 "target_entity_id": "string",
8 "target_platform_id": "string",
9 "target_resource_type": "string",
10 "target_id": "string",
11 "target_environment": "string",
12 "action": "string",
13 "created_at": "string",
14 "message": "string",
15 "reference": "string",
16 "idempotency_key": "string"
17 }
18 ],
19 "page": 1,
20 "limit": 1,
21 "links": {
22 "first": "string",
23 "previous": "string",
24 "current": "string",
25 "next": "string"
26 },
27 "total_number_of_pages": 1
28}

Requires the AUDIT_RECORD.VIEW permission.

Was this page helpful?
Previous

Get an invoice by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

user_idstringOptional
Filter based on user ID
target_entity_idstringOptional
Filter based on entity resource ID the object belongs to
target_idstringOptional
Filter based on the resource ID of the object
target_typestringOptional
Filter based on resource type
created_atstringOptional

Range filter for the start_at of the audit logs (ISO-8601).

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
linksobject
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error